1. 📢 Public
TunnelSats Public Wireguard API
  • About our team
  • 📢 Public
    • List available VPN servers
      GET
    • Create a new VPN subscription
      POST
    • Claim a WireGuard configuration after payment
      POST
    • Check subscription status via payment hash
      GET
    • Renew an existing VPN subscription
      POST
    • Get Subscription Status
      POST
  • 🔐 Authenticated
    • Sync Subscription
      POST
    • Create Referral Code
      POST
    • Referral History
      GET
    • List all active/paid subscriptions for the account
      GET
  • Announcements
    • 💫 What is TunnelSats?
    • 🚀 Introducing the TunnelSats Public API v1
    • How TunnelSats Leverages Public APIs for Confined VPN Management
  • Cookbook
    • 🛠️ Automation & Code Examples
    • 🐚 Bash One-Liners
    • 🛑 Error Codes & Troubleshooting
    • 🎁 Referral Program: Earn Bonus Months
    • 🚑 Node Health & Upkeep
    • 🛡️ Security & Authentication
  • Schemas
    • Server
    • InvoiceOrder
    • SubscriptionStatus
    • WireGuardConfig
    • ReferralCode
    • ReferralHistory
    • NodeLookup
    • ConnectivityResult
    • RenewalOrder
    • ClaimResult
    • ApiError
    • SubscriptionListItem
  1. 📢 Public

Renew an existing VPN subscription

POST
/api/public/v1/subscription/renew

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Success
Body

🟠403
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://tunnelsats.com/api/public/v1/subscription/renew' \
--header 'Content-Type: application/json' \
--data-raw '{
    "serverId": "string",
    "duration": 1,
    "wgPublicKey": "string"
}'
Response Response Example
{
    "invoice": "string",
    "paymentHash": "string",
    "oldExpiry": "2019-08-24T14:15:22.123Z",
    "newExpiry": "2019-08-24T14:15:22.123Z",
    "renewalId": "e2cbc7f4-c068-49bf-a8e9-138e35eb44b7"
}
Modified at 2026-04-12 12:51:22
Previous
Check subscription status via payment hash
Next
Get Subscription Status
Built with